ch.qos.logback.core.spi

## Class ScanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.spi.ScanException

All Implemented Interfaces:
  java.io.Serializable

    public class ScanException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScanException(java.lang.String msg)`
`ScanException(java.lang.String msg, java.lang.Throwable rootCause)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScanException

    public ScanException(java.lang.String msg)

#### ScanException

    public ScanException(java.lang.String msg,
                 java.lang.Throwable rootCause)

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`